'use strict';

import PGBoss = require('pg-boss');
import {reportError} from '../core/utils';

export const queue = new PGBoss({
    connectionString: process.env.POSTGRES_DSN,
    schema: 'public'
});

queue.on('error', error => {
    reportError(error);
});

export const queueReady = queue.connect().catch(reportError);
